%define name mod_frontpage
%define version 1.5.1mdk
%define release 4mdk

%define sysconfdir /etc
%define apachecontent /var/www/html
%define apachebase %{sysconfdir}/httpd
%define apacheroot /var/www
%define oldapacheroot /home/httpd
%define apachelogs /var/log
%define mm_major 1
%define mm_minor 1.3
%define apache_version 1.3.20
%define apache_release 1mdk

Summary: The Improved mod_frontpage module for the Apache Web server.
Name: %{name}
Version: %{version}
Release: %{release}
Group: System/Servers
Source0: http://home.edo.uni-dortmund.de/~chripo/download/%{name}-%{version}-1.3.19.tar.bz2
Patch: mod_frontpage_commonconf.diff.bz2

License: Apache License
BuildRoot:  %{_tmppath}/%{name}-root
Prereq:		apache-common >= %{apache_version}-%{apache_release}
Prereq:		apache-conf >= %{apache_version}-%{apache_release}
Prereq: 	mm >= %{mm_major}.%{mm_minor}
Requires:	apache
BuildRequires: apache-devel >= %{apache_version}-%{apache_release}


%description
This is a module for the Apache HTTP Server <http://www.apache.org/httpd.html>.
It replaces the Apache-FP patches and module supplied with the FrontPage Server
Extensions available from Microsoft <http://www.microsoft.com> and Ready-to-Run
Software <http://www.rtr.com/fpsupport>.

Using this module allows you to use advanced features of the FrontPage client
with your Apache HTTP Server (e.g. creating FrontPage-extended subwebs
using the FrontPage client in contrast to creating them as user "root" with
"fpinstall.sh" or the "fpsrvadm.exe"-utility on the system's shell).

%prep
%setup -n %{name}-%{version}-1.3.19

%patch -p1

cd DSO
echo "/usr/sbin/httpd"|perl Makefile.PL

%build
cd DSO
make

%install

cd DSO
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache-extramodules
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{apachecontent}/addon-modules

install -m 755 mod_frontpage.so \
	$RPM_BUILD_ROOT%{_libdir}/apache-extramodules
install -m 4711 fpexec $RPM_BUILD_ROOT%{_sbindir}
cd ..
install -m 644 mod_frontpage.html \
	$RPM_BUILD_ROOT%{apachecontent}/addon-modules

%post
if [ $1 = "1" ]; then 
   #We're in Install mode, add module to the config files
   for config in %{apachebase}/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxaddmod -a -e $config ]; then
       %{_sbindir}/advxaddmod $config \
	extramodules/mod_frontpage.so mod_frontpage.c \
	frontpage_module define=HAVE_FRONTPAGE
     fi
   done
   if [ -x %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 
fi

if [ $1 -gt 1 ]; then 
   #We're in *upgrade mode*. Since we can't be sure the configuration files
   #are sane, remove module from the conf files to clean them, re-add again 
   #in a way that the older module we're replacing won't try to erase (the 
   #post scripts were broken on some packages), and finally clean the module
   #specific config file so it's compatible with the upgrade.
   for config in %{apachebase}/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxdelmod -a -e $config ]; then
       %{_sbindir}/advxdelmod $config \
	extramodules/mod_frontpage.so mod_frontpage.c \
	frontpage_module define=HAVE_FRONTPAGE
     fi
     if [ -x %{_sbindir}/advxaddmod -a -e $config ]; then
       %{_sbindir}/advxaddmod $config \
	extramodules/mod_frontpage.so mod_frontpage.c \
	frontpage_module define=HAVE_FRONTPAGE 
     fi
   done
   if [ -x %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 
fi

%postun
if [ $1 = "0" ]; then 
   for config in %{apachebase}/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxdelmod -a -e $config ]; then
       %{_sbindir}/advxdelmod $config \
	extramodules/mod_frontpage.so mod_frontpage.c \
	frontpage_module define=HAVE_FRONTPAGE
     fi
   done
   if [ -x %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 
fi



%files
%defattr(-,root,root)
%{_libdir}/apache-extramodules/mod_frontpage.so
%attr(4711,root,root) %{_sbindir}/fpexec
%{apachecontent}/addon-modules/mod_frontpage.html
%doc mod_frontpage.html

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 12 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.1mdk-4mdk
- new apache

* Sat Apr 14 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.5.1mdk-3mdk
- fix Makefile.PL so it picks commonhttpd.conf too!

* Mon Apr  9 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.5.1mdk-2mdk
- fix post scripts for good 

* Sun Mar 25 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.5.1mdk-1mdk
- Replaced the old Microsoft frontpage extensions by the new Improved
  mod_frontpage module, more secure and totally buildable with apxs.
